<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CityList StructType
 * @subpackage Structs
 */
class CityList extends AbstractStructBase
{
    /**
     * The CityListRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CityListRQ
     */
    public $CityListRQ;
    /**
     * Constructor method for CityList
     * @uses CityList::setCityListRQ()
     * @param \StructType\JP_CityListRQ $cityListRQ
     */
    public function __construct(\StructType\JP_CityListRQ $cityListRQ = null)
    {
        $this
            ->setCityListRQ($cityListRQ);
    }
    /**
     * Get CityListRQ value
     * @return \StructType\JP_CityListRQ|null
     */
    public function getCityListRQ()
    {
        return $this->CityListRQ;
    }
    /**
     * Set CityListRQ value
     * @param \StructType\JP_CityListRQ $cityListRQ
     * @return \StructType\CityList
     */
    public function setCityListRQ(\StructType\JP_CityListRQ $cityListRQ = null)
    {
        $this->CityListRQ = $cityListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CityList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
